## START: Set by rpmautospec
## (rpmautospec version 0.7.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate aho-corasick

Name:           rust-aho-corasick
Version:        1.1.3
Release:        %autorelease
Summary:        Fast multiple substring searching

License:        Unlicense OR MIT
URL:            https://crates.io/crates/aho-corasick
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Fast multiple substring searching.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/COPYING
%license %{crate_instdir}/LICENSE-MIT
%license %{crate_instdir}/UNLICENSE
%doc %{crate_instdir}/DESIGN.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+logging-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+logging-devel %{_description}

This package contains library source intended for building other packages which
use the "logging" feature of the "%{crate}" crate.

%files       -n %{name}+logging-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+perf-literal-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+perf-literal-devel %{_description}

This package contains library source intended for building other packages which
use the "perf-literal" feature of the "%{crate}" crate.

%files       -n %{name}+perf-literal-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Apr 13 2024 Fabio Valentini <decathorpe@gmail.com> - 1.1.3-1
- Update to version 1.1.3; Fixes RHBZ#2270371

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Oct 10 2023 Fabio Valentini <decathorpe@gmail.com> - 1.1.2-1
- Update to version 1.1.2; Fixes RHBZ#2242886

* Mon Sep 25 2023 Fabio Valentini <decathorpe@gmail.com> - 1.1.1-1
- Update to version 1.1.1; Fixes RHBZ#2239461

* Fri Sep 15 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.5-1
- Update to version 1.0.5; Fixes RHBZ#2235788

* Sun Aug 27 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.4-1
- Update to version 1.0.4; Fixes RHBZ#2230772

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 07 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.2-1
- Update to version 1.0.2; Fixes RHBZ#2212163

* Mon May 29 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.1-2
- Ignore harmless test failures on 32-bit and big-endian architectures

* Mon May 29 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.1-1
- Update to version 1.0.1; Fixes RHBZ#2187506

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Dec 10 2022 Fabio Valentini <decathorpe@gmail.com> - 0.7.20-1
- Update to version 0.7.20; Fixes RHBZ#2144709

* Mon Sep 05 2022 Fabio Valentini <decathorpe@gmail.com> - 0.7.19-1
- Update to version 0.7.19; Fixes RHBZ#2123993

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.18-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon May 10 2021 Fabio Valentini <decathorpe@gmail.com> - 0.7.18-1
- Update to version 0.7.18.
- Fixes RHBZ#1955852

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Nov 04 2020 Fabio Valentini <decathorpe@gmail.com> - 0.7.15-1
- Update to version 0.7.15.
- Fixes RHBZ#1887614

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jun 26 2020 Josh Stone <jistone@redhat.com> - 0.7.13-1
- Update to 0.7.13

* Tue Mar 10 2020 Josh Stone <jistone@redhat.com> - 0.7.10-1
- Update to 0.7.10

* Thu Feb 27 2020 Josh Stone <jistone@redhat.com> - 0.7.9-1
- Update to 0.7.9

* Thu Feb 06 2020 Josh Stone <jistone@redhat.com> - 0.7.8-1
- Update to 0.7.8

* Thu Jan 30 2020 Josh Stone <jistone@redhat.com> - 0.7.7-1
- Update to 0.7.7

* Sun Aug 04 06:57:02 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.6-1
- Update to 0.7.6

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jul 06 11:24:53 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.4-1
- Update to 0.7.4

* Thu Jun 20 11:37:44 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.3-3
- Regenerate

* Sat Jun 08 23:40:01 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.3-2
- Regenerate

* Wed Apr 03 2019 Josh Stone <jistone@redhat.com> - 0.7.3-1
- Update to 0.7.3

* Sat Feb 16 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.10-1
- Update to 0.6.10

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Oct 29 2018 Josh Stone <jistone@redhat.com> - 0.6.9-1
- Update to 0.6.9

* Sat Oct 27 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.8-2
- Adapt to new packaging

* Thu Aug 30 2018 Josh Stone <jistone@redhat.com> - 0.6.8-1
- Update to 0.6.8

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.6-3
- Rebuild to trigger tests

* Sat Jul 21 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.6-2
- Run tests in infrastructure

* Fri Jul 13 2018 Josh Stone <jistone@redhat.com> - 0.6.6-1
- Update to 0.6.6

* Thu Jun 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.5-1
- Update to 0.6.5

* Thu Jun 14 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.4-5
- Bump docopt to 1

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.4-3
- Rebuild for rust-packaging v5

* Mon Jan 01 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.4-2
- Bump quickcheck to 0.6
- Bump rand to 0.4

* Thu Nov 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.4-1
- Update to 0.6.4

* Wed Nov 29 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.3-5
- Bump quickcheck to 0.5

* Fri Nov 10 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.3-4
- Exclude more unneeded files

* Wed Nov 08 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.3-3
- Bump memchr to 2

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.3-2
- Port to use rust-packaging

* Thu Mar 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.3-1
- Update to 0.6.3

* Sat Mar 11 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.2-3
- Rename with rust prefix
- Don't ship useless binary

* Fri Feb 24 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.2-2
- Use rich dependencies

* Sat Feb 18 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.2-1
- Initial package

## END: Generated by rpmautospec
